### Method

# Gegl Colorset_hsla

#### Declaration [src]

    void
    gegl_color_set_hsla (
      GeglColor* color,
      gdouble hue,
      gdouble saturation,
      gdouble lightness,
      gdouble alpha,
      const Babl* space
    )

#### Description [src]

Set color as HSLA data stored as `space`. If `space` is `NULL`, this is equivalent to storing with the default sRGB space.

#### Parameters

`hue`

  Type: `gdouble`

  Hue value.

`saturation`

  Type: `gdouble`

  Saturation value.

`lightness`

  Type: `gdouble`

  Lightness value.

`alpha`

  Type: `gdouble`

  Alpha value.

`space`

  Type: `Babl`

  RGB space.

  The argument can be `NULL`.
  The data is owned by the caller of the method.